# This script installs the lexmark Z600 drivers that can be used with 
# many lexmark printers.
#
# This script needs to be run with root privileges
#
# ./install_lexmark_Z600.sh
#
# It downloads the drivers from the following location
#
# http://www.downloaddelivery.com/srfilecache/CJLZ600LE-CUPS-1.0-1.TAR.gz
#
# It requires access to the following commands
# rpm2cpio 
# cpio
# ldconfig
#
# the following printers are confirmed:
# Lexmark 5700 (black & white only)
# Lexmark X1100
# Lexmark X1110
# Lexmark X1130
# Lexmark X1140
# Lexmark X1150
# Lexmark X1155
# Lexmark X1180
# Lexmark X1185
# Lexmark Z513
# Lexmark Z515
# Lexmark Z715
# Lexmark Z55
# Lexmark Z615
# Lexmark Z705
# Lexmark Z605
# Lexmark Z600
# Lexmark Z25
# Dell A920
# Z65 (z65 driver)
# Lexmark Z33 (z35 driver)
# Lexmark Z33 (z35 driver)

wget -c http://www.downloaddelivery.com/srfilecache/CJLZ600LE-CUPS-1.0-1.TAR.gz
mkdir lexmark
cd lexmark
tar -xvzf ../CJLZ600LE-CUPS-1.0-1.TAR.gz 
tail -n +143 z600cups-1.0-1.gz.sh > install.tar.gz 
tar -xvzf install.tar.gz
mkdir z600llpddk
cd z600llpddk
rpm2cpio ../z600llpddk-2.0-1.i386.rpm | cpio -idv
tar -zcpf ../z600llpddk.tgz .
cd ..
mkdir z600cups
cd z600cups
rpm2cpio ../z600cups-1.0-1.i386.rpm | cpio -idv
tar -zcpf ../z600cups.tgz .
cd ..
tar -xvzf z600llpddk.tgz -C /
tar -xvzf z600cups.tgz -C /
cd ..
rm -fr lexmark
ldconfig
cd /usr/share/cups/model
gunzip Lexmark-Z600-lxz600cj-cups.ppd.gz 
cd /usr/lib/cups/backend/
./z600 
